/* $Id:$ */

/** Tools for module rednav.
 *
 * \file rednavTools.i
 * \ingroup rednav
 */   

%{

#include <sstream>

%}

%inline %{

namespace jafar {
  namespace rednav {


    /** Template print function which calls the output operator<< of A
     * and returns the resulting string.
     */
    template<class A>
    std::string print(const A& a_) {
      std::ostringstream os;
      os << a_ << std::endl;
      return os.str();
    };

  } // namespace rednav
} // namespace jafar

%}

